Bug 72115 - rhn-applet should have a configurable interval for checking for updates
rhn-applet should have a configurable interval for checking for updates
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-08-21 03:42 EDT by Oliver Schulze L.
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-21 03:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Schulze L. 2002-08-21 03:42:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.0.1) Gecko/20020815

Description of problem:
The rhn-applet work just fine, but it make too many querys to the
rpm database in the local system.
Servers with high load would like the rhn-applet to query the rpm
and rhn server every 30minutes or more.

It would be nice if rhn-applet has a configuracion parameter or
command line option to set the interval in which it should
query the local rpm database and the rhn servers.

In my case, I would like the rhn-applet to check for updates
every 8hours.

Filled as enhancement request

Version-Release number of selected component (if applicable): 

How reproducible:

Steps to Reproduce:
1. run rhn-applet
2. wait 30 seconds or more
3. run red-carpet or another application that keep the rpm db open
4. in the console from where you launched rhn-applet, you see this 
  message every 10 seconds: 
  error: cannot get shared lock on /var/lib/rpm/Packages
Comment 1 Chip Turner 2002-08-29 12:00:49 EDT
this is simply a debug message and not a real error.  it can safely be ignored.
 it doesn't query the DB every 10 seconds; it checks to see if the mtime of
/var/lib/rpm/Packages as changed every 10 seconds.  if it has changed since the
last successful read, it tries to read the db.  if it hasn't changed, though, it
doesn't re-read the db.  so the only thing that happens every 10 seconds is an
mtime check, which is very inexpensive.
Comment 2 Oliver Schulze L. 2002-08-29 13:29:18 EDT
The problem occurs when you left the rpm DB open in another aplication, for 
example up2date or Ximian's red-carpet.
These problem left the rpm db open while downloading the updates or even
when they are just run.
So, the DB can stay open like 10hours(1 night) and the rhn-applet will try
to open the rpm db every 10 seconds.
I think the "cannot get shared lock" message is coming from the db3 library, so
doing this every 10 seconds is more expensive than just checking the mtime.

Note You need to log in before you can comment on or make changes to this bug.